Package net.sf.saxon.tree.linked

## Class TextImpl

- java.lang.Object
- - net.sf.saxon.tree.linked.NodeImpl
  - - net.sf.saxon.tree.linked.TextImpl

- All Implemented Interfaces:
    `javax.xml.transform.Source`, `javax.xml.transform.SourceLocator`, `GroundedValue`, `Item`, `MutableNodeInfo`, `NodeInfo`, `Sequence`, `Location`, `SteppingNode<NodeImpl>`, `SiblingCountingNode`, `org.xml.sax.Locator`
  Direct Known Subclasses:
    `TextValueTemplateNode`

      public class TextImpl
      extends NodeImpl

  A node in the XML parse tree representing character content.

- - ### Field Summary

    - ### Fields inherited from class net.sf.saxon.tree.linked.NodeImpl

      `NODE_LETTER`

    - ### Fields inherited from interface net.sf.saxon.om.NodeInfo

      `IS_DTD_TYPE, IS_NILLED`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TextImpl​(java.lang.String content)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `appendStringValue​(java.lang.String content)` | Append to the content of the text node
    `void` | `copy​(Receiver out, int copyOptions, Location locationId)` | Copy this node to a given outputter
    `int` | `getNodeKind()` | Return the type of node.
    `java.lang.String` | `getStringValue()` | Return the character value of the node.
    `void` | `replaceStringValue​(java.lang.CharSequence stringValue)` | Replace the string-value of this node

    - ### Methods inherited from class net.sf.saxon.tree.linked.NodeImpl

      `addAttribute, addNamespace, atomize, attributes, compareOrder, delete, effectiveBooleanValue, equals, generateId, getAllNamespaces, getAttributeValue, getBaseURI, getColumnNumber, getConfiguration, getDeclaredNamespaces, getDisplayName, getFingerprint, getFirstChild, getLastChild, getLineNumber, getLocalPart, getNamePool, getNextInDocument, getNextSibling, getNodeName, getParent, getPhysicalRoot, getPrefix, getPreviousInDocument, getPreviousSibling, getRawParent, getRoot, getSchemaType, getSequenceNumber, getSiblingPosition, getStringValueCS, getSuccessorElement, getSystemId, getTreeInfo, getURI, hasChildNodes, hasFingerprint, head, insertChildren, insertSiblings, isDeleted, iterateAxis, iterateAxis, newBuilder, removeAttribute, removeTypeAnnotation, rename, replace, saveLocation, setAttributes, setRawParent, setSiblingPosition, setSystemId, setTypeAnnotation`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.om.GroundedValue

      `asIterable, concatenate, containsNode, materialize`

    - ### Methods inherited from interface net.sf.saxon.om.Item

      `getLength, itemAt, iterate, reduce, subsequence`

    - ### Methods inherited from interface net.sf.saxon.om.MutableNodeInfo

      `addNamespace, removeNamespace`

    - ### Methods inherited from interface net.sf.saxon.om.NodeInfo

      `children, children, equals, getGenre, getPublicId, hashCode, isId, isIdref, isNilled, isSameNodeInfo, isStreamed, toShortString`

    - ### Methods inherited from interface net.sf.saxon.om.Sequence

      `makeRepeatable`

    - ### Methods inherited from interface javax.xml.transform.Source

      `isEmpty`

- - ### Constructor Detail

    - #### TextImpl

          public TextImpl​(java.lang.String content)

  - ### Method Detail

    - #### appendStringValue

          public void appendStringValue​(java.lang.String content)

      Append to the content of the text node
      Parameters:
        `content` - the new content to be appended

    - #### getStringValue

          public java.lang.String getStringValue()

      Return the character value of the node.
      Returns:
        the string value of the node
      See Also:
        `Item.getStringValueCS()`

    - #### getNodeKind

          public final int getNodeKind()

      Return the type of node.
      Returns:
        Type.TEXT
      See Also:
        `Type`

    - #### copy

          public void copy​(Receiver out,
                           int copyOptions,
                           Location locationId)
                    throws XPathException

      Copy this node to a given outputter
      Parameters:
        `out` - the Receiver to which the node should be copied. It is the caller's responsibility to ensure that this Receiver is open before the method is called (or that it is self-opening), and that it is closed after use.
        `copyOptions` - a selection of the options defined in `CopyOptions`
        `locationId` - If non-null, identifies the location of the instruction that requested this copy. If zero, indicates that the location information is not available
      Throws:
        `XPathException` - if any downstream error occurs

    - #### replaceStringValue

          public void replaceStringValue​(java.lang.CharSequence stringValue)

      Replace the string-value of this node
      Parameters:
        `stringValue` - the new string value